List validated overtime requests (history)
curl --request GET \
--url https://api-{region}.sesametime.com/schedule/v1/overtime-validation/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-{region}.sesametime.com/schedule/v1/overtime-validation/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-{region}.sesametime.com/schedule/v1/overtime-validation/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-{region}.sesametime.com/schedule/v1/overtime-validation/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-{region}.sesametime.com/schedule/v1/overtime-validation/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-{region}.sesametime.com/schedule/v1/overtime-validation/history")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-{region}.sesametime.com/schedule/v1/overtime-validation/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "Ana",
"lastName": "Garcia"
},
"date": "2020-01-01",
"requestedSeconds": 3600,
"approvedSeconds": 7200,
"status": "accepted",
"createdAt": "2020-01-01T10:00:00+01:00",
"validatedAt": "2025-04-15T09:22:31+02:00",
"managementHistory": [
{
"managerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"managerName": "Carlos Lopez",
"status": "accepted",
"comment": "<string>",
"createdAt": "2020-01-01T10:00:00+01:00"
}
]
}
],
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}{
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}{
"message": "Rate limit exceeded. Please try again later.",
"code": "RATE_LIMIT_EXCEEDED",
"retryAfter": 60
}Overtime Validation
List validated overtime requests (history)
Returns all overtime validations of the authenticated company that have reached a final status (accepted, rejected or autoApproved). Pending validations are excluded.
GET
/
schedule
/
v1
/
overtime-validation
/
history
List validated overtime requests (history)
curl --request GET \
--url https://api-{region}.sesametime.com/schedule/v1/overtime-validation/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-{region}.sesametime.com/schedule/v1/overtime-validation/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-{region}.sesametime.com/schedule/v1/overtime-validation/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-{region}.sesametime.com/schedule/v1/overtime-validation/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-{region}.sesametime.com/schedule/v1/overtime-validation/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-{region}.sesametime.com/schedule/v1/overtime-validation/history")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-{region}.sesametime.com/schedule/v1/overtime-validation/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "Ana",
"lastName": "Garcia"
},
"date": "2020-01-01",
"requestedSeconds": 3600,
"approvedSeconds": 7200,
"status": "accepted",
"createdAt": "2020-01-01T10:00:00+01:00",
"validatedAt": "2025-04-15T09:22:31+02:00",
"managementHistory": [
{
"managerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"managerName": "Carlos Lopez",
"status": "accepted",
"comment": "<string>",
"createdAt": "2020-01-01T10:00:00+01:00"
}
]
}
],
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}{
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}{
"message": "Rate limit exceeded. Please try again later.",
"code": "RATE_LIMIT_EXCEEDED",
"retryAfter": 60
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number (1-based)
Items per page
Filter by one or more validation statuses. Comma-separated values.
Available options:
accepted, rejected, autoApproved Filter by one or more employee identifiers. Comma-separated UUIDs.
Filter validations by date (Y-m-d) greater than or equal to this value
Example:
"2025-01-01"
Filter validations by date (Y-m-d) less than or equal to this value
Example:
"2025-03-31"
Field used for ordering
Available options:
date, status Order direction
Available options:
asc, desc Was this page helpful?